curl --request GET \
--url https://api.spacebring.com/events/tickets/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/events/tickets/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/events/tickets/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tickets": [
{
"createDate": "2023-11-07T05:31:56Z",
"event": {
"endDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>"
},
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"startDate": "2023-11-07T05:31:56Z",
"title": "<string>",
"venue": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 4503599627370496,
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"checkInDate": "2023-11-07T05:31:56Z",
"deleteDate": "2023-11-07T05:31:56Z",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {
"discounts": [
{
"coupon": {
"amountOff": 123,
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentOff": 123,
"type": "<string>"
},
"promocode": {
"code": "<string>",
"expiration": {
"enabled": true,
"date": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitByFirstPurchase": true
},
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"method": {
"credits": {
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
}
},
"external": {
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
},
"invoice": {
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
}
},
"paymentGateway": {
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"label": "<string>",
"mask": "<string>",
"title": "<string>",
"type": "<string>"
}
},
"price": {
"credits": {
"expiringAmount": 123,
"permanentAmount": 123
},
"money": {
"currencyCode": "<string>",
"grossAmount": 123
}
},
"refundable": true,
"createDate": "2023-11-07T05:31:56Z",
"dispute": {
"createDate": "2023-11-07T05:31:56Z"
},
"invoiceItemRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refund": {
"credits": {
"amountExpiring": 123,
"amountPermanent": 123,
"amountTotal": 123,
"createDate": "2023-11-07T05:31:56Z"
},
"money": {
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123
},
"transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"refunds": {
"credits": [
{
"amountExpiring": 123,
"amountPermanent": 123,
"amountTotal": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"money": [
{
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"surcharge": {
"money": {
"amount": 123,
"currencyCode": "<string>",
"percentage": 123,
"rate": 123
},
"type": "money"
},
"transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Retrieve tickets
Retrieve all event tickets.
OAuth
Required scopes:events.readonly or eventsAuthorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
UUID of the customer whose event tickets to list.
UUID of the event whose tickets to list.
Deprecated. Use status "canceled" instead. Set to "true" to include deleted event tickets.
Maximum number of event tickets per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.
1 <= x <= 100UUID of the location whose event tickets to list.
Pagination token from nextPageToken in a previous response. Keep the same filters when fetching the next page.
Filter by event ticket status. Comma-separated values, e.g. active,canceled. Defaults to active when omitted.
Supported values:
- active — the ticket is valid
- canceled — the ticket was deleted
UUID of the user whose event tickets to list.
Response
OK
Show child attributes
Show child attributes
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.
Was this page helpful?